%define libbonobo_version 2.2.0
%define samba_version 3.0.8-0.pre1.3
%define gconf2_version 1.2.0
%define gtkdoc_version 0.9
%define gnome_mime_data_version 2.0.0-11
%define redhat_menus_version 1.0
%define perl_XML_Parser_version 2.31-16
%define po_package gnome-vfs-2.0

Summary: The GNOME virtual file-system libraries.
Name: gnome-vfs2
Version: 2.8.2
Release: 8.7.EL4
License: LGPL
Group: System Environment/Libraries
Source: gnome-vfs-%{version}.tar.bz2
Source2: vfolder-desktop-method.c
Source3: desktop-method.c
Source4: desktop-file-utils-0.8.tar.gz
Source5: smb-method.c
URL: http://www.gnome.org/

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:      gnome-mime-data >= %{gnome_mime_data_version}
Requires:      shared-mime-info
Requires:      redhat-menus >= %{redhat_menus_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-mime-data >= %{gnome_mime_data_version}
BuildRequires: bonobo-activation-devel, glib2-devel, libxml2-devel, zlib-devel
BuildRequires: popt, bzip2-devel, ORBit2-devel, XFree86-devel, openjade
BuildRequires: pkgconfig
BuildRequires: /usr/bin/automake-1.6
BuildRequires: gtk-doc >= %{gtkdoc_version}
BuildRequires: perl-XML-Parser >= %{perl_XML_Parser_version}
BuildRequires: samba-common >= %{samba_version}
BuildRequires: openssl-devel fam-devel
BuildRequires: krb5-devel
BuildRequires: hal-devel
Prereq: GConf2 >= %{gconf2_version}

Patch1: gnome-vfs-1.9.16-moved-menu-files.patch
Patch2: gnome-vfs-2.0.1-only-show-in.patch
Patch3: gnome-vfs-2.5.90-modules-conf.patch
Patch4: gnome-vfs-2.0.2-newstat.patch
Patch5: gnome-vfs-2.0.2-read-only.patch

## this is the automake-requiring patch
Patch6: gnome-vfs-2.1.6-old-modules.patch

Patch7: gnome-vfs-2.1.6-never-show-if-empty.patch
Patch8: gnome-vfs-2.1.6-hide-with-empty-subfolders.patch
Patch9: gnome-vfs-2.1.6-no-private-methods.patch

Patch10: gnome-vfs2-2.5.5-vfolder-hacks.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=426482
Patch11: gnome-vfs-2.8.2-permsfix.patch
Patch12: gnome-vfs-2.8.2-closefix.patch

# desktop-file-utils patches
Patch50:       desktop-file-utils-0.8-gnomevfs-embed.patch
Patch51:       desktop-file-utils-0.8-pleasecreate.patch
Patch52:       desktop-file-utils-0.8-monitor-merge-dirs.patch
Patch53:       desktop-file-utils-0.8-use-dot-directory-files-in-legacy-dirs.patch
Patch54:       desktop-file-utils-0.8-dont-barf-on-new-attributes.patch

# send to upstream
Patch101:	gnome-vfs-2.8.2-schema_about_for_upstream.patch
Patch102:	gnome-vfs-2.8.2-bufer-fix.patch
Patch103:	gnome-vfs-2.8.2-mtab-mtime-check.patch

# Default
Patch104:	gnome-vfs-2.8.2-browser_default.patch

Patch200: gnome-vfs-2.8.1-hal.patch
Patch201: gnome-vfs-2.8.1-console-mount-opt.patch

Patch202: gnome-vfs-increase-sftp-timeout.patch

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: Libraries and include files for developing GNOME VFS applications.
Group: Development/Libraries
Requires:   %{name} = %{version}
Requires:   GConf2-devel >= %{gconf2_version}
Requires:   libbonobo-devel >= %{libbonobo_version}
Conflicts: bonobo-devel < 1.0.8
Conflicts: gnome-vfs-devel < 1.0.2

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%package smb
Summary: Windows fileshare support for gnome-vfs
Group: System Environment/Libraries
Requires:   %{name} = %{version}
Requires: samba-common >= %{samba_version}
Obsoletes:     gnome-vfs2-extras
Provides:     gnome-vfs2-extras

%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using GNOME VFS.

%prep
%setup -q -n gnome-vfs-%{version} -a 4

cp -f %{SOURCE2} modules
cp -f %{SOURCE3} modules
cp -f %{SOURCE5} modules

(cd modules && cp default-modules.conf default-modules.conf.with-menu-editing)

## clean out the methods that don't work with our setup
DMC=modules/default-modules.conf.with-menu-editing
perl -pi -e 's/all-applications:\s+libvfolder-desktop.so//g' $DMC
perl -pi -e 's/all-preferences:\s+libvfolder-desktop.so//g' $DMC
perl -pi -e 's/favorites:\s+libvfolder-desktop.so//g' $DMC

## these two should actually work
## perl -pi -e 's/applications-all-users:\s+libvfolder-desktop.so//g' $DMC
## perl -pi -e 's/preferences-all-users:\s+libvfolder-desktop.so//g' $DMC

%patch1 -p1 -b .moved-menu-files
%patch2 -p1 -b .only-show-in
%patch3 -p1 -b .modules-conf
%patch4 -p1 -b .newstat
%patch5 -p1 -b .read-only
%patch6 -p1 -b .old-modules
%patch7 -p1 -b .never-show-if-empty
%patch8 -p1 -b .hide-with-empty-subfolders
%patch9 -p1 -b .no-private-methods

%patch10 -p1 -b .vfolder-hacks

%patch11 -p1 -b .permsfix
%patch12 -p1 -b .closefix


# desktop-file-utils patches
%patch50 -p0 -b .embedded
%patch51 -p0 -b .pleasecreate
%patch52 -p0 -b .monitor-merge-dirs
%patch53 -p0 -b .use-dot-directory-files-in-legacy-dirs
%patch54 -p0 -b .dont-barf-on-new-attributes

# send to upstream
%patch101 -p1 -b .schema_about
%patch102 -p0 -b .buffer-fix
%patch103 -p0 -b .mtab_mtime_check

%patch104 -p1 -b .browser_default
%patch200 -p0 -b .hal
%patch201 -p0 -b .console

%patch202 -p1 -b .increase-sftp-timeout

%build

# needed for patch10 (changing makefile to old vfolder backend)
aclocal-1.6
automake-1.6
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi
#needed for patch 102 (kerberos fix)
autoconf
%configure --enable-gtk-doc --with-gtk=no --enable-hal --disable-howl

export tagname=CC
make LIBTOOL=/usr/bin/libtool

(cd desktop-file-utils-0.8;
	aclocal-1.6;
	automake-1.6;
	autoconf;
	%configure;
	make LIBTOOL=/usr/bin/libtool
)

%install
rm -fr %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

(cd desktop-file-utils-0.8;
	cp src/.libs/libmenu.so $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/
)

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/lib*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Remove older gnome-vfs2 menu module
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libvfolder-deskto*.so

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/vfolders/*.vfolder-info
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/vfolders/*.vfolder-info-default

install -m 644 modules/default-modules.conf.with-menu-editing $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/modules/

## Remove this line and update file list to revert to
## no-menu-editing-by-default
# (cd $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/modules/; mv default-modules.conf default-modules.conf.without-menu-editing; mv default-modules.conf.with-menu-editing default-modules.conf)

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.2.0/filesystems/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{a,la}

%find_lang %{po_package}

%clean
rm -fr %{buildroot}

%post

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="system_http_proxy.schemas system_dns_sd.schemas system_smb.schemas desktop_gnome_url_handlers.schemas desktop_default_applications.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

/sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README

%dir %{_sysconfdir}/gnome-vfs-2.0
%dir %{_sysconfdir}/gnome-vfs-2.0/modules
#%dir %{_sysconfdir}/gnome-vfs-2.0/vfolders
%config %{_sysconfdir}/gnome-vfs-2.0/modules/*.conf
%exclude %{_sysconfdir}/gnome-vfs-2.0/modules/smb-module.conf
%config %{_sysconfdir}/gnome-vfs-2.0/modules/*.conf.with-menu-editing
## we aren't really using the .vfolder-info config files, 
## so installing them is a little misleading.
## %config %{_sysconfdir}/gnome-vfs-2.0/vfolders/*.vfolder-info
## %config %{_sysconfdir}/gnome-vfs-2.0/vfolders/*.vfolder-info-default
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so.*
%exclude %{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%{_libdir}/gnome-vfs-2.0/modules
%dir %{_libdir}/gnome-vfs-2.0
%{_libdir}/bonobo
%{_sysconfdir}/gconf/schemas/*
## conflicts with gnome-vfs 1, ignore for now
## %{_datadir}/man/man5/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/gnome-vfs-2.0/include
%{_includedir}/*
%{_datadir}/gtk-doc

%files smb
%defattr(-, root, root)
%{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%config %{_sysconfdir}/gnome-vfs-2.0/modules/smb-module.conf

%changelog
* Fri Feb 15 2008 Tomas Bzatek <tbzatek@redhat.com> - 2.8.2-8.7.EL4
- Honour user's umask settings
- Resolves: #426482

* Wed Jul 25 2007 Alexander Larsson <alexl@redhat.com> - 2.8.2-8.6.EL4
- Increase connect timeout for sftp (#210284)

* Mon Oct  2 2006 Alexander Larsson <alexl@redhat.com> - 2.8.2-8.5
- Rebuild

* Thu Sep 14 2006 Alexander Larsson <alexl@redhat.com> - 2.8.2-8.4
- Backported smb method from 2.16.0 (#160157)

* Mon Mar 22 2005 Mark McLoughlin <markmc@redhat.com> 2.8.2-8.3
- Add menus patch to make <MergeDir>s be monitored for changes (#151887)
- Add another menus patch to make .directory files in <LegacyDir>s
  be pulled in (#151888)
- Yet another patch to allow recent extensions to the spec be
  allowed by the parser (#151889)

* Wed Dec  8 2004 Alex Larsson <alexl@redhat.com> 2.8.2-8.2
- Disable howl use (#142157)

* Sat Dec  4 2004 Jeremy Katz <katzj@redhat.com> - 2.8.2-8.1
- rebuild to fix broken dep (#135417)

* Tue Oct 19 2004 Jonathan Blandford <jrb@redhat.com> 2.8.2-6
- add new samba requirement

* Mon Oct 18 2004  <jrb@redhat.com> - 2.8.2-4
- change default http/https handler to firefox

* Fri Oct 15 2004 Alexander Larsson <alexl@redhat.com> - 2.8.2-4
- Handle several mtab changes in the same second (#132976)

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 2.8.2-3
- Change console to pamconsole to support new util-linux and hal packages

* Wed Oct 13 2004 Alexander Larsson <alexl@redhat.com> - 2.8.2-2
- Fix bad buffer handling bug that broke ftp uploads

* Mon Oct 11 2004 Alexander Larsson <alexl@redhat.com> - 2.8.2-1
- Update to 2.8.2

* Fri Oct  8 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-8
- Backport some new fixes from cvs.

* Tue Oct  5 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-7
- update cvs backport with ssl http fix

* Tue Oct  5 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-6
- Add cvs-backport patch with various fixed from HEAD, including
  a partial fix for #134627
- Removed the patches that are in the cvs-backport patch.

* Fri Oct  1 2004 David Zeuthen <davidz@redhat.com> 2.8.1-5
- Build with hal patch

* Wed Sep 29 2004 David Zeuthen <davidz@redhat.com> 2.8.1-4
- Apply hal patch
- Support the console mount option

* Wed Sep 29 2004 Ray Strode <rstrode@redhat.com> 2.8.1-3
- Swap if and else in egg_desktop_entries_get_locale_encoding
  to prevent allocating massive amounts of unneeded ram.

* Mon Sep 27 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-2
- Remove menu-only-show-in patch - latest KDE packages don't use
  non-standard <OnlyShowIn> anymore

* Tue Sep 21 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-1
- update to 2.8.1

* Thu Sep 16 2004 Mark McLoughlin <markmc@redhat.com> - 2.8.0-3
- Update to desktop-file-utils 0.8 and remove a bunch of
  upstreamed patches

* Tue Sep 14 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-2
- Backport some fixes from head, including ftp stuff

* Mon Sep 13 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0
- remove upstreamed patch

* Fri Sep  3 2004 GNOME <jrb@redhat.com> - 2.7.92-2
- remove mozilla as default browser

* Wed Sep  1 2004 Alexander Larsson <alexl@redhat.com> - 2.7.92-2
- add fstab_sync patch from upstream

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.92-1
- update to 2.7.92

* Thu Aug 19 2004 Alex Larsson <alexl@redhat.com> 2.7.91-1
- update to 2.7.91

* Tue Aug 10 2004 Alexander Larsson <alexl@redhat.com> - 2.7.90-3
- Build for new howl (requires patch)
- Add dns-sd schema

* Sun Aug  8 2004 Christopher Aillon <caillon@redhat.com> 2.7.90-2
- Add compiler fix for an enumerator with trailing comma.

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90
- Remove cvs-backport patch
- Add BuildRequires for krb5-devel, howl-devel and hal-devel
- Fixup the schema-about and mozilla patches

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 13 2004 Elliot Lee <sopwith@redhat.com> 2.6.0-8
- Patch61 (desktop-file-utils-0.6-pleasecreate.patch) to fix #119446

* Tue May 04 2004 Dan Williams <dcbw@redhat.com> 2.6.0-7
- Update to desktop-file-utils 0.6
- Implement monitoring to detect addition/deletion of .desktop files
- Fix RH #118553, crash when reading symlink that points to
    nothing in libmenu.so VFS backend

* Thu Apr 22 2004 Mark McLoughlin <markmc@redhat.com> - 2.6.0-6
- Fix crash when .desktop files aren't readable (bug #120014)

* Fri Apr 16 2004 Alexander Larsson <alexl@redhat.com> 2.6.0-5
- Make mozilla default http handler since epi might not be installed

* Thu Apr 15 2004 Alexander Larsson <alexl@redhat.com> 2.6.0-4
- New cvs backport with sftp fix

* Wed Apr 14 2004 Alexander Larsson <alexl@redhat.com> 2.6.0-3
- install more schemas in post

* Wed Apr 14 2004 Alexander Larsson <alexl@redhat.com> 2.6.0-2
- Add cvs fixes backport

* Tue Mar 23 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Thu Mar 18 2004 Warren Togami <wtogami@redhat.com> 2.5.91-3
- #118614 patches 100 and 101

* Wed Mar 17 2004 Dan Williams <dcbw@redhat.com> 2.5.91-2
- Support .directory file "NoDisplay" keys in libmenu.so VFS backend

* Mon Mar 15 2004 Alex Larsson <alexl@redhat.com> 2.5.91-1
- update to 2.5.91

* Fri Mar 12 2004 Dan Williams <dcbw@redhat.com> 2.5.90-3
- Make OnlyShowIn for .desktop files actually work

* Thu Mar 11 2004 Dan Williams <dcbw@redhat.com> 2.5.90-2
- Add desktop-file-utils to build the new libmenu.so VFS backend
    for .menu files.  Its a hack for now, and will eventually
    be replaced by upstreaming the d-f-u code

* Mon Mar  8 2004 Alexander Larsson <alexl@redhat.com> 2.5.90-1
- update to 2.5.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 2.5.8-2
- fix some packaging issues (#115807)

* Mon Feb 23 2004 Alexander Larsson <alexl@redhat.com> 2.5.8-1
- update to 2.5.8
- fix smb filelist
- add devel docs

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Alexander Larsson <alexl@redhat.com> 2.5.7-1
- update to 2.5.7

* Mon Feb  9 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-4
- build-req fam-devel and openssl-devel (#111109)
- Own libdir/gnome-vfs-2.0/include (#113045)

* Fri Feb  6 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-3
- Clean up the patch list
- Fix the network: issue
- Remove core file from tarball

* Thu Feb  5 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-2
- Fix daemon server file

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-1
- update to 2.5.6

* Thu Jan 29 2004 Jonathan Blandford <jrb@redhat.com> 2.5.5-5
- re-add the vfolder patch

* Fri Jan 23 2004 Alexander Larsson <alexl@redhat.com> 2.5.5-4
- Split smb into its own subpackage

* Wed Jan 21 2004 Alexander Larsson <alexl@redhat.com> 2.5.5-3
- provide gnome-vfs-extras2

* Mon Jan 19 2004 Alexander Larsson <alexl@redhat.com> 2.5.5-2
- add shared-mime-info dep
- obsolete gnome-vfs2-extras

* Fri Jan 16 2004 Jonathan Blandford <jrb@redhat.com> 2.5.5-1
- new version for GNOME 2.5

* Wed Oct 15 2003 Alexander Larsson <alexl@redhat.com> 2.4.1-1
- Update to 2.4.1, fixes bug #107130

* Tue Sep  9 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- update to 2.4.0

* Tue Sep  2 2003 Alexander Larsson <alexl@redhat.com> 2.3.90-1
- update to 2.3.90

* Mon Aug 25 2003 Alexander Larsson <alexl@redhat.com> 2.3.8-1
- update to 2.3.8

* Mon Aug 11 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-1
- update for gnome 2.3

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.5-3
- rebuild, setting tagname to CC

* Tue Jul  8 2003 Alexander Larsson <alexl@redhat.com> 2.2.5-2.E
- Rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Alexander Larsson <alexl@redhat.com> 2.2.5-1
- Update to 2.2.5

* Mon Mar 31 2003 Alexander Larsson <alexl@redhat.com> 2.2.4-1
- Update to 2.2.4

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Mon Feb 24 2003 Alexander Larsson <alexl@redhat.com> 2.2.2-3
- Added patch to fix smb crash (#84982)

* Mon Feb 24 2003 Alexander Larsson <alexl@redhat.com> 2.2.2-2
- Add patch to fix notify race (#84668)

* Wed Feb 12 2003 Alexander Larsson <alexl@redhat.com> 2.2.2-1
- 2.2.2, fixes bad memleak (#83791)

* Tue Feb 11 2003 Havoc Pennington <hp@redhat.com> 2.2.1-3
- kill menu editing again, it was very very broken

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 2.2.1-2
- fix file list (#68226)
- prereq GConf2

* Mon Feb 10 2003 Alexander Larsson <alexl@redhat.com> 2.2.1-1
- Update to 2.2.1. fixes gnome-theme-manager hang

* Thu Feb  6 2003 Havoc Pennington <hp@redhat.com> 2.2.0-7
- move to menu editing modules.conf by default, we'll see if it works

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 2.2.0-6
- use LIBTOOL=/usr/bin/libtool

* Mon Jan 27 2003 Havoc Pennington <hp@redhat.com>
- it would help to *install* the stupid menu edit conf file
- update the vfolder-hacks patch with some fixes

* Fri Jan 24 2003 Havoc Pennington <hp@redhat.com>
- hack up editable vfolder backend to maybe work
  (still not the default config file)

* Wed Jan 22 2003 Havoc Pennington <hp@redhat.com>
- include a non-default config file to use new vfolder method
- build the new vfolder method

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com>
- Update to 2.2.0

* Mon Jan 13 2003 Havoc Pennington <hp@redhat.com>
- variation on the subfolders hack to try to fix it

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- fix bug where empty folders with empty subfolders would
  still be visible.

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- finish adapting desktop-method.c to underscore-prefixing action

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- adapt desktop-method.c to underscore-prefixing action

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- hardcode <DontShowIfEmpty>, it's stupid to ever override this.

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- make network:/// use libdesktop.so, and modify libdesktop.so 
  to support it

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- Revert to George's vfolder backend from gnome-vfs-2.0.2 or so
- put back libdesktop.so
- don't build the new vfolder backend

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 2.1.6-2
- Removed __libdir fix that was fixed upstream

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 2.1.6-1
- Update to 2.1.6

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.5-3
- rebuild

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 2.1.5-2
- rebuild

* Mon Dec 16 2002 Alexander Larsson <alexl@redhat.com> 2.1.5-1
- Update to 2.1.5

* Thu Dec 12 2002 Nalin Dahyabhai <nalin@redhat.com>
- use OpenSSL's pkg-config information, if available

* Wed Dec  4 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3.1

* Sun Nov 10 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3
- update moved-menu-files patch

* Wed Oct 23 2002 Havoc Pennington <hp@redhat.com>
- add patch for OnlyShowIn support
- use plain menu files for .vfolder-info-default
- don't install unused vfolder-info files

* Tue Oct  8 2002 Havoc Pennington <hp@redhat.com>
- require new gnome-mime-data in proper libdir
- 2.0.4
- drop most patches as they are now upstream or 
  don't apply to new vfolder code

* Fri Aug 30 2002 Owen Taylor <otaylor@redhat.com>
- Backport a gnome-vfs locking fix from CVS 
  (Hopefully fixes #71419)

* Fri Aug 23 2002 Havoc Pennington <hp@redhat.com>
- make vfolder method read-only #72208

* Mon Aug 19 2002 Jonathan Blandford <jrb@redhat.com>
- notice when new files are installed

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- don't include pointless .a files

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2
- use vfolders for system-settings and server-settings

* Tue Jul 16 2002 Havoc Pennington <hp@redhat.com>
- fix OnlyShowIn

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.1, fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- put schema files in file list, and install them
- put libdir/vfs in file list

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- look for menus in redhat-menus

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.9.16

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.9.15
- comment out docdir patch for now

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.9.14

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.9.11
- update file list

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.9.7

* Thu Jan 31 2002 Owen Taylor <otaylor@redhat.com>
- Fix location of installed docs not to conflict with gnome-vfs1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild with new libs

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.0.4.91 snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.9.4.90 snap
- require gnome-mime-data

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new snap, rebuild for glib 1.3.10

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- cvs snap

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- rebuild cvs snap with changes merged upstream
- fix a requires
- fix up requires/buildrequires a bit

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- initial gnome-vfs2 build, remove all patches
- change config files not to be noreplace

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 20 2001 Havoc Pennington <hp@redhat.com>
- fix #51864 (Gimp can't handle file: URIs)

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Moved gnome-conf and pkgconfig files to the devel package
- Fixes SHOULD-FIX bug #49795

* Mon Aug  6 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-14
- Added a patch that fixed AbiWord mimetype handling.

* Fri Jul 27 2001 Jonathan Blandford <jrb@redhat.com>
- Add .desktop file sniffing

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- don't do the giant trash scan thing; did not play nice
  with NFS.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- fix desktop-file.conf file

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- change some URI scheme names

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add pkgconfig and gnome-libs-devel build reqs.
- Remove dependency on gnome-vfs-devel by doing some
- CPPFLAGS and LDFLAGS magic

* Wed Jul 11 2001 Havoc Pennington <hp@redhat.com>
- add missing directories

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- fix a segv
- change which dirs the desktop VFS module points to

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- add desktop VFS module hack

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove Distribution and Vendor
- Make the config files noreplace
- Move .so links to devel subpackage
- langify
- Add BuildRequires
- Don't mess with /etc/ld.so.conf
- Use %%{_tmppath}
- s/Copyright/License/

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.
- clean up spec file some.

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix paths and macros

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
